# Generated by Django 2.1.5 on 2020-01-21 21:35

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Bar',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='Reference',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ref', models.SlugField(unique=True)),
                ('name', models.CharField(max_length=255)),
                ('description', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='Stock',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('stock', models.PositiveIntegerField()),
                ('bar', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='stocks', to='bars.Bar')),
                ('ref', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='stocks', to='bars.Reference')),
            ],
        ),
        migrations.AddField(
            model_name='bar',
            name='refs',
            field=models.ManyToManyField(related_name='bars', through='bars.Stock', to='bars.Reference'),
        ),
    ]
